=== modified file 'plugin/show_dictionary/show_columns.cc'
--- plugin/show_dictionary/show_columns.cc	2011-06-30 12:03:14 +0000
+++ plugin/show_dictionary/show_columns.cc	2011-07-13 05:35:09 +0000
@@ -26,20 +26,6 @@
 using namespace std;
 using namespace drizzled;
 
-static const string VARCHAR("VARCHAR");
-/* VARBINARY already defined elsewhere */
-static const string VARBIN("VARBINARY");
-static const string DOUBLE("DOUBLE");
-static const string BLOB("BLOB");
-static const string TEXT("TEXT");
-static const string ENUM("ENUM");
-static const string INTEGER("INTEGER");
-static const string BIGINT("BIGINT");
-static const string DECIMAL("DECIMAL");
-static const string DATE("DATE");
-static const string TIMESTAMP("TIMESTAMP");
-static const string DATETIME("DATETIME");
-
 ShowColumns::ShowColumns() :
   show_dictionary::Show("SHOW_COLUMNS")
 {
@@ -126,44 +112,6 @@
   return true;
 }
 
-void ShowColumns::Generator::pushType(message::Table::Field::FieldType type, const string &collation)
-{
-  switch (type)
-  {
-  default:
-  case message::Table::Field::VARCHAR:
-    push(collation.compare("binary") ? VARCHAR : VARBIN);
-    break;
-  case message::Table::Field::DOUBLE:
-    push(DOUBLE);
-    break;
-  case message::Table::Field::BLOB:
-    push(collation.compare("binary") ? TEXT : BLOB);
-    break;
-  case message::Table::Field::ENUM:
-    push(ENUM);
-    break;
-  case message::Table::Field::INTEGER:
-    push(INTEGER);
-    break;
-  case message::Table::Field::BIGINT:
-    push(BIGINT);
-    break;
-  case message::Table::Field::DECIMAL:
-    push(DECIMAL);
-    break;
-  case message::Table::Field::DATE:
-    push(DATE);
-    break;
-  case message::Table::Field::EPOCH:
-    push(TIMESTAMP);
-    break;
-  case message::Table::Field::DATETIME:
-    push(DATETIME);
-    break;
-  }
-}
-
 
 void ShowColumns::Generator::fill()
 {
@@ -171,7 +119,7 @@
   push(column.name());
 
   /* Type */
-  pushType(column.type(), column.string_options().collation());
+  push(drizzled::message::type(column));
 
   /* Null */
   push(not column.constraints().is_notnull());

=== modified file 'plugin/show_dictionary/show_columns.h'
--- plugin/show_dictionary/show_columns.h	2011-06-30 12:03:14 +0000
+++ plugin/show_dictionary/show_columns.h	2011-07-13 05:35:09 +0000
@@ -56,8 +56,6 @@
       return table_name;
     }
 
-    void pushType(drizzled::message::Table::Field::FieldType type, const std::string &collation);
-
     void fill();
 
   public:

=== modified file 'plugin/show_dictionary/tests/r/show_columns.result'
--- plugin/show_dictionary/tests/r/show_columns.result	2011-01-06 21:14:45 +0000
+++ plugin/show_dictionary/tests/r/show_columns.result	2011-07-13 05:35:09 +0000
@@ -6,16 +6,16 @@
 COLUMN_TYPE	VARCHAR	NO		NO	
 ORDINAL_POSITION	BIGINT	NO		NO	
 COLUMN_DEFAULT	VARBINARY	YES		YES	
-COLUMN_DEFAULT_IS_NULL	VARCHAR	NO		NO	
+COLUMN_DEFAULT_IS_NULL	BOOLEAN	NO		NO	
 COLUMN_DEFAULT_UPDATE	VARCHAR	NO		NO	
-IS_SIGNED	VARCHAR	YES		YES	
-IS_AUTO_INCREMENT	VARCHAR	NO		NO	
-IS_NULLABLE	VARCHAR	NO		NO	
-IS_INDEXED	VARCHAR	NO		NO	
-IS_USED_IN_PRIMARY	VARCHAR	NO		NO	
-IS_UNIQUE	VARCHAR	NO		NO	
-IS_MULTI	VARCHAR	NO		NO	
-IS_FIRST_IN_MULTI	VARCHAR	NO		NO	
+IS_SIGNED	BOOLEAN	YES		YES	
+IS_AUTO_INCREMENT	BOOLEAN	NO		NO	
+IS_NULLABLE	BOOLEAN	NO		NO	
+IS_INDEXED	BOOLEAN	NO		NO	
+IS_USED_IN_PRIMARY	BOOLEAN	NO		NO	
+IS_UNIQUE	BOOLEAN	NO		NO	
+IS_MULTI	BOOLEAN	NO		NO	
+IS_FIRST_IN_MULTI	BOOLEAN	NO		NO	
 INDEXES_FOUND_IN	BIGINT	NO		NO	
 DATA_TYPE	VARCHAR	NO		NO	
 DATA_ARCHETYPE	VARCHAR	NO		NO	

